package `in`.techware.carrefour.viewModels

import `in`.techware.carrefour.model.*
import android.arch.lifecycle.ViewModel
import java.util.HashMap

/**
 * Created by Jemsheer K D on 26 July, 2018.
 * Package `in`.techware.carrefour.viewModels
 * Project Carrefour
 */
class FileTransferViewModel : ViewModel() {

    var pitNumber: String = ""
    var wasteList: ArrayList<WasteBean> = ArrayList()
    var labelSurveyList: ArrayList<LabelSurveyBean> = ArrayList()
    var stockTakeList: ArrayList<StockTakeBean> = ArrayList()
    var minStockList: ArrayList<MinStockBean> = ArrayList()
    var facingList: ArrayList<FacingBean> = ArrayList()
    var promotionList: ArrayList<PromotionBean> = ArrayList()
    var outOfStockList: ArrayList<OutOfStockBean> = ArrayList()
    var transformQuantityList: ArrayList<TransformQuantityBean> = ArrayList()
    var itemListList: ArrayList<ItemListBean> = ArrayList()
    var internalSalesList: ArrayList<InternalSalesBean> = ArrayList()
    var internalSalesCorrectionList: ArrayList<InternalSalesCorrectionBean> = ArrayList()
    var printLabelProcessedList: ArrayList<String> = ArrayList()
    var printLabelList: ArrayList<PrintLabelBean> = ArrayList()
    var printLabelMap = HashMap<String, java.util.ArrayList<PrintLabelBean>>()


}